# List of related open-source projects

## Compute Correlation

- reikna <https://pypi.python.org/pypi/reikna>

  GPGPU algorithms for PyCUDA and PyOpenCL.

- PyCUDA <https://documen.tician.de/pycuda/>

  PyCUDA gives you easy, Pythonic access to Nvidia‘s CUDA parallel computation API

- PyOpenCL <https://documen.tician.de/pyopencl/>

  PyOpenCL gives you easy, Pythonic access to the OpenCL parallel computation API

## Compute PIV fields

- PIVlab (Matlab) <http://pivlab.blogspot.fr/>

  PIVlab is a time-resolved particle image velocimetry (PIV) software that does not only
  calculate the velocity distribution within particle image pairs, but can also be used
  to derive, display and export multiple parameters of the flow pattern. A user-friendly
  graphical user interface (GUI) makes PIV analyses and data post-processing fast and
  efficient.

- OpenPIV (C++, Matlab, Python, <http://www.openpiv.net/>)

- UVMAT (Matlab, J. Sommeria,
  <http://servforge.legi.grenoble-inp.fr/projects/soft-uvmat>)

  The free Matlab toolbox UVMAT provides a set of functions and graphic user interfaces
  for scanning images and data files (vectors and scalars in 2D and 3D), geometric
  calibrations, image processing and analysis of time series. It is designed to favor
  data management, relying on the standard NetCDF file format and XML documentation
  files.

  ```{toctree}
  ---
  maxdepth: 1
  ---
  uvmat
  ```

- civx (Fortran, <http://sourceforge.net/p/civx>, ENS Lyon, L. Gostiaux) + pyciv (J.
  Salort)

- OCIV (C, <http://osiv.sourceforge.net>) Seems old (maintained?).

- JPIV (Java, <http://www.jpiv.vennemann-online.de/>)

## Analysis of PIV fields

- PIVmat (<http://www.fast.u-psud.fr/pivmat/>, Frédéric Moizy) Just for analysis of PIV
  fields, can not compute PIV. See also <https://github.com/OpenPIV/pivpy> (the
  Pythonized PIVMAT)
